#
# spec file for package xkbprint
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xkbprint
Version:        1.0.7
Release:        1.3
Summary:        Utility to print an XKB keyboard description
License:        MIT
Group:          System/X11/Utilities
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xorg-macros) >= 1.3
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xkbprint generates a printable or encapsulated PostScript description
of an XKB keyboard description.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README.md
%{_bindir}/xkbprint
%{_mandir}/man1/xkbprint.1%{?ext_man}

%changelog
* Sun Oct 13 2024 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.7
  * This release provides some code cleanups and compiler warning
    fixes.
* Sat Oct 15 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.6
  * gitlab CI: add a basic build test
  * man page: remove out-of-date COPYRIGHT section
  * Stop leaking XkbAtomGetString allocations
  * gitlab CI: stop requiring Signed-off-by in commits
* Mon Nov  4 2019 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.5
  * xkbprint(1): Some (typographical) corrections to the manual
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * autogen: add default patch prefix
  * autogen.sh: use quoted string variables
  * autogen.sh: use exec instead of waiting for configure to finish
* Fri Apr 24 2015 sndirsch@suse.com
- Update to version 1.0.4:
  * This minor maintenance release provides the recent round of
    build configuration improvements and janitorial cleanups.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.3:
  + Build system fixes.
  + Bugs fixed: fdo#24206, fdo#24242
- Remove AUTHORS and NEWS from %%doc section: they are no longer
  shipped in the tarball, as they were empty anyway.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xkbprint from xorg-x11. Initial version: 1.0.2.
